--- old/usr/src/Makefile.master	2013-12-14 21:34:46.295800422 -0500
+++ new/usr/src/Makefile.master	2013-12-14 21:34:46.303287354 -0500
@@ -44,13 +44,6 @@
 # RELEASE_BUILD should be cleared for final release builds.
 # NOT_RELEASE_BUILD is exactly what the name implies.
 #
-# INTERNAL_RELEASE_BUILD is a subset of RELEASE_BUILD. It mostly controls
-# identification strings. Enabling RELEASE_BUILD automatically enables
-# INTERNAL_RELEASE_BUILD.
-#
-# STRIP_COMMENTS toggles comment section striping. Generally the same setting
-# as INTERNAL_RELEASE_BUILD.
-#
 # __GNUC toggles the building of ON components using gcc and related tools.
 # Normally set to `#', set it to `' to do gcc build.
 #
@@ -70,10 +63,8 @@
 POUND_SIGN=				$(PRE_POUND:pre\%=%)
 
 NOT_RELEASE_BUILD=
-INTERNAL_RELEASE_BUILD=			$(POUND_SIGN)
 RELEASE_BUILD=				$(POUND_SIGN)
 $(RELEASE_BUILD)NOT_RELEASE_BUILD=	$(POUND_SIGN)
-$(RELEASE_BUILD)INTERNAL_RELEASE_BUILD=
 PATCH_BUILD=				$(POUND_SIGN)
 
 # SPARC_BLD is '#' for an Intel build.
@@ -83,8 +74,6 @@
 INTEL_BLD_1=    $(MACH:sparc=$(POUND_SIGN))
 INTEL_BLD=      $(INTEL_BLD_1:i386=)
 
-STRIP_COMMENTS=	$(INTERNAL_RELEASE_BUILD)
-
 # The variables below control the compilers used during the build.
 # There are a number of permutations.
 #
@@ -968,8 +957,7 @@
 RELEASE_CM=	"@($(POUND_SIGN))SunOS $(RELEASE) $(PATCHID) $(PATCH_DATE)"
 DEV_CM=		"@($(POUND_SIGN))SunOS Internal Development: non-nightly build"
 
-PROCESS_COMMENT=		   @?${MCS} -c -a $(RELEASE_CM) -a $(DEV_CM)
-$(STRIP_COMMENTS)PROCESS_COMMENT=  @?${MCS} -d -a $(RELEASE_CM) -a $(DEV_CM)
+PROCESS_COMMENT=  @?${MCS} -d -a $(RELEASE_CM) -a $(DEV_CM)
 $(RELEASE_BUILD)PROCESS_COMMENT=   @?${MCS} -d -a $(RELEASE_CM)
 
 STRIP_STABS=			   :
--- old/usr/src/cmd/sgs/libconv/Makefile.com	2013-12-14 21:34:46.502889667 -0500
+++ new/usr/src/cmd/sgs/libconv/Makefile.com	2013-12-14 21:34:46.508493566 -0500
@@ -113,15 +113,6 @@
 LINTSRCS32 =	$(COMOBJS32:%32.o=../common/%.c)
 LINTSRCS64 =	$(COMOBJS64:%64.o=../common/%.c)
 
-# INTERNAL_RELEASE_BUILD is defined by standard full builds (nightly),
-# but not for sgs builds we do for development. The result of these
-# two lines is that dev builds pass -d to the readme_revision script,
-# generating a more detailed version string for the linker components
-# that includes the workspace, user, CR, and date. Official builds get
-# a simpler uncluttered version string.
-VERNOTE_DEBUG= -d
-$(INTERNAL_RELEASE_BUILD)VERNOTE_DEBUG=
-
 SGSMSGTARG=	$(BLTOBJS:%_msg.o=../common/%.msg)
 
 LINTFLAGS +=	-u
--- old/usr/src/cmd/sgs/libconv/Makefile.targ	2013-12-14 21:34:46.661163772 -0500
+++ new/usr/src/cmd/sgs/libconv/Makefile.targ	2013-12-14 21:34:46.666856962 -0500
@@ -68,8 +68,7 @@
 
 vernote.s:	bld_vernote $(README_REVISION) $(ONLDREADME)
 		./bld_vernote \
-			-R `perl $(README_REVISION) $(VERNOTE_DEBUG) \
-				$(ONLDREADME)` \
+			-R `perl $(README_REVISION) $(ONLDREADME)` \
 			-r "$(RELEASE)" -o $@
 
 bld_vernote:	../common/bld_vernote.ksh
--- old/usr/src/cmd/sgs/libconv/common/bld_vernote.ksh	2013-12-14 21:34:46.819500307 -0500
+++ new/usr/src/cmd/sgs/libconv/common/bld_vernote.ksh	2013-12-14 21:34:46.825334591 -0500
@@ -108,7 +108,7 @@
 release=""
 revision=""
 
-while getopts DR:o:r: c
+while getopts R:o:r: c
 do
 	case $c in
 	o)
--- old/usr/src/cmd/sgs/packages/Makefile.com	2013-12-14 21:34:46.979550670 -0500
+++ new/usr/src/cmd/sgs/packages/Makefile.com	2013-12-14 21:34:46.985172444 -0500
@@ -35,9 +35,6 @@
 ROOTONLD=	$(ROOT)/opt/SUNWonld
 ROOTREADME=	$(README:%=$(ROOTONLD)/%)
 
-VERDEBUG=	-D
-$(INTERNAL_RELEASE_BUILD)VERDEBUG=
-
 CLEANFILES=	$(FILES) awk_pkginfo ../bld_awk_pkginfo $(LINTLOG)
 CLOBBERFILES=	$(PACKAGE) $(LINTLOG).bak
 
--- old/usr/src/tools/scripts/bldenv.sh	2013-12-14 21:34:47.139205964 -0500
+++ new/usr/src/tools/scripts/bldenv.sh	2013-12-14 21:34:47.145212748 -0500
@@ -248,8 +248,6 @@
 DEV_CM="\"@(#)SunOS Internal Development: $LOGNAME $BUILD_DATE [$BASEWSDIR]\""
 export DEV_CM RELEASE_DATE POUND_SIGN
 
-export INTERNAL_RELEASE_BUILD=
-
 print 'Build type   is  \c'
 if ${flags.d} ; then
 	print 'DEBUG'
--- old/usr/src/tools/scripts/nightly.1	2013-12-14 21:34:47.305973507 -0500
+++ new/usr/src/tools/scripts/nightly.1	2013-12-14 21:34:47.311653517 -0500
@@ -421,14 +421,6 @@
 $(LC_ALL=C date +"%B %Y"); e.g., "October 2009".
 .RE
 .LP
-.B INTERNAL_RELEASE_BUILD
-.RS 5
-See Makefile.master - but it mostly controls id strings. Generally,
-let
-.I nightly
-set this for you.
-.RE
-.LP
 .B RELEASE_BUILD
 .RS 5
 Define this to build a release with a non-DEBUG kernel. 
--- old/usr/src/tools/scripts/nightly.sh	2013-12-14 21:34:47.480013564 -0500
+++ new/usr/src/tools/scripts/nightly.sh	2013-12-14 21:34:47.485769653 -0500
@@ -759,14 +759,12 @@
 #
 
 function set_non_debug_build_flags {
-	export INTERNAL_RELEASE_BUILD ; INTERNAL_RELEASE_BUILD=
 	export RELEASE_BUILD ; RELEASE_BUILD=
 	unset EXTRA_OPTIONS
 	unset EXTRA_CFLAGS
 }
 
 function set_debug_build_flags {
-	export INTERNAL_RELEASE_BUILD ; INTERNAL_RELEASE_BUILD=
 	unset RELEASE_BUILD
 	unset EXTRA_OPTIONS
 	unset EXTRA_CFLAGS
--- old/usr/src/uts/Makefile.targ	2013-12-14 21:34:47.725792702 -0500
+++ new/usr/src/uts/Makefile.targ	2013-12-14 21:34:47.731418825 -0500
@@ -112,16 +112,10 @@
 #
 # Build environment information is only contained in the comment section.
 #
-# The version string, normally the variable VERSION, is set to display
-# environmental information temporarily while in development because
-# it provides a little more useful information.
-#
-VERSION_STRING	= ($(ECHO) $$LOGNAME [\`basename $$CODEMGR_WS\`] \\\c; date +%D)
-$(INTERNAL_RELEASE_BUILD)VERSION_STRING = $(ECHO) $(PATCHID)
 
 $(OBJS_DIR)/vers.o: $(OBJECTS)
 	$(COMPILE.c) -DUTS_RELEASE=\"`$(ECHO) $(RELEASE) | sed -e 's/ /_/g'`\" \
-	    -DUTS_VERSION=\"`$(VERSION_STRING) | sed -e 's/ /_/g'`\" \
+	    -DUTS_VERSION=\"`$(ECHO) $(PATCHID) | sed -e 's/ /_/g'`\" \
 	    -DUTS_PLATFORM=\"$(UNAME_M)\" -o $@ $(SRC)/uts/common/os/vers.c
 	$(CTFCONVERT_O)
 	$(POST_PROCESS_O)
